#ifndef FLASH_ERRS_H
#define FLASH_ERRS_H

/* файл содержит коды ошибок при работе с flash-памятью */

typedef enum {
    FLASH_ERR_OK              = 0,
    FLASH_ERR_FIRST           = -40000,
    FLASH_ERR_INVALID_PARAMS  = FLASH_ERR_FIRST,
    FLASH_ERR_UNALINGNED_ADDR = FLASH_ERR_FIRST-1,
    FLASH_ERR_WAIT_RDY_TOUT   = FLASH_ERR_FIRST-2,
    FLASH_ERR_OP_FAILED       = FLASH_ERR_FIRST-3,
    FLASH_ERR_NO_DEVICE       = FLASH_ERR_FIRST-4,
    FLASH_ERR_INVALID_DEVICE  = FLASH_ERR_FIRST-5,
    FLASH_ERR_RESOURCE_ALLOC  = FLASH_ERR_FIRST-6,
    FLASH_ERR_IFACE_PARAMS    = FLASH_ERR_FIRST-7,
    FLASH_ERR_ADDR_OUT_OF_MEM = FLASH_ERR_FIRST-8,
    FLASH_ERR_IFACE_RESP_TOUT = FLASH_ERR_FIRST-9,
    FLASH_ERR_BUSY            = FLASH_ERR_FIRST-10,
    FLASH_ERR_ANOTHER_OP_EXEC = FLASH_ERR_FIRST-11,
    FLASH_ERR_PORT            = FLASH_ERR_FIRST-12
} t_flash_errs;

#endif // FLASH_ERRS_H
